// let host = window.location.protocol+"//"+window.location.hostname;
// 当前后端不在同一个服务器时，需要指定host地址
let host = "http://183.230.176.125"; //线上后端
// let host = "http://139.9.47.90"; 
// let host = "http://192.168.40.190"; // 实哥
// let host = "http://192.168.40.208"; // 王平
// let host = "http://192.168.40.250"; // 王平
// let host = "http://192.168.40.251"; // 向贞好
//  let host = "http://192.168.40.243"; // 李宣波
//  let host = "http://192.168.40.249"; // 李宣波
//  let host = "http://zrji8s.natappfree.cc"; // 黄泽桦
// combine为true时五合一部署, 为false时分五个服务部署
// 前端部署访问地址，用于静态文件访问，路径跳转等
let onlineFront = "http://192.168.30.111"

let combine = true;
var defaultModulePortMap = {
	form: '8082',
	portal: '8084',
	bpmRunTime: '8086',
	bpmModel: '8087',
	uc: '8088',
  yhxt: '8198',
  cqxy: '8096',
  xqhk: '8896',
}
window.getModuleRootUrl = function (module) {
	// 默认是全部服务合一的端口
  var modulePort = '8896'
	if (!combine) {
		modulePort = defaultModulePortMap[module];
	}
	// return host;
  return host + ":" + modulePort;
}
window.context = {
  WebSocket: host + ":8099",
  manage: onlineFront + ':9086/mvue', //管理端页面
  front: host + ':9086/fvue', //前端页面
  mobile: host + ':8082/mobilevue', //手机端页面
  totalPlat: onlineFront + ':8897', //前端页面
  form: getModuleRootUrl('form'),
  portal: getModuleRootUrl('portal'),
  bpmRunTime: getModuleRootUrl('bpmRunTime'),
  bpmModel: getModuleRootUrl('bpmModel'),
  uc: getModuleRootUrl('uc'),
  mc: getModuleRootUrl('mc'),
  yhxt: getModuleRootUrl('yhxt'),
  cqxy: getModuleRootUrl('cqxy'),
  xqhk: getModuleRootUrl('xqhk') 
}
// 单点配置
window.ssoConfig = {
  mode: "", // 空则不使用单点  支持的模式有  cas oauth basic
  url: 'http://127.0.0.1:8092/oauth/authorize',
  clientId: 'eip7',// oauth模式下需要提供
  logout: 'http://127.0.0.1:8092/logout'
}